curl --request GET \
--url https://api.home.datanumia.com/api/v2/persons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.home.datanumia.com/api/v2/persons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.home.datanumia.com/api/v2/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/persons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/persons")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/persons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_links": {
"first": {
"href": "https://<DATANUMIA_ROOT_URL>/persons?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"prev": {
"href": "https://<DATANUMIA_ROOT_URL>/persons?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/persons?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"next": {
"href": "https://<DATANUMIA_ROOT_URL>/persons?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"last": {
"href": "https://<DATANUMIA_ROOT_URL>/persons?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
}
},
"page": {
"totalElements": 122,
"totalPages": 2,
"number": 1,
"size": 100
},
"_embedded": {
"persons": [
{
"ts": "2017-07-21T17:32:28Z",
"ids": {
"personId": "personId1",
"personCustomerId": "person-45634"
},
"content": {
"title": "Mme",
"firstName": "Jane",
"lastName": "Doe",
"address": {
"streetNumberAndName": "4 bis place des vosges",
"streetAdditionalInfo": "BP 90137 44701",
"locationAdditionalInfo": "Batiment B",
"zipCode": "92400",
"city": "Courbevoie",
"country": "France"
},
"mobile": "+33638854792",
"email": "api@datanumia.com"
},
"_links": {
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/persons/{person-id}"
}
},
"_embedded": {
"sites": [
{
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/sites/{site-id}"
}
}
]
}
}
]
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "INVALID_AUTHORIZATION_HEADER_VALUE",
"errorDescription": "The Authorization header is invalid"
}{
"errorCode": "ACCESS_DENIED",
"errorDescription": "The Authorization token does not have permission to the resource"
}This response has no body data.get a list of persons
Returns a list of persons corresponding to the search criterias.
By default, only the ids of the objects are returned.
A complete snaphost of the object can be returned using the view parameter.
Results are paginated.
curl --request GET \
--url https://api.home.datanumia.com/api/v2/persons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.home.datanumia.com/api/v2/persons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.home.datanumia.com/api/v2/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/persons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/persons")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/persons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_links": {
"first": {
"href": "https://<DATANUMIA_ROOT_URL>/persons?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"prev": {
"href": "https://<DATANUMIA_ROOT_URL>/persons?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/persons?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"next": {
"href": "https://<DATANUMIA_ROOT_URL>/persons?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"last": {
"href": "https://<DATANUMIA_ROOT_URL>/persons?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
}
},
"page": {
"totalElements": 122,
"totalPages": 2,
"number": 1,
"size": 100
},
"_embedded": {
"persons": [
{
"ts": "2017-07-21T17:32:28Z",
"ids": {
"personId": "personId1",
"personCustomerId": "person-45634"
},
"content": {
"title": "Mme",
"firstName": "Jane",
"lastName": "Doe",
"address": {
"streetNumberAndName": "4 bis place des vosges",
"streetAdditionalInfo": "BP 90137 44701",
"locationAdditionalInfo": "Batiment B",
"zipCode": "92400",
"city": "Courbevoie",
"country": "France"
},
"mobile": "+33638854792",
"email": "api@datanumia.com"
},
"_links": {
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/persons/{person-id}"
}
},
"_embedded": {
"sites": [
{
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/sites/{site-id}"
}
}
]
}
}
]
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "INVALID_AUTHORIZATION_HEADER_VALUE",
"errorDescription": "The Authorization header is invalid"
}{
"errorCode": "ACCESS_DENIED",
"errorDescription": "The Authorization token does not have permission to the resource"
}This response has no body data.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
the page to be fetched. Default value is 0
the page size to be fetched. Default value is 100. Max value is 100
x <= 100the ids of the persons to fetch
the customer ids of the persons to fetch
Define the start timestamp of the range to reduce the number of persons returned.
Person objects modified within the range are returned.
The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'
Default is now -7 days. Period between beginTs and endTs is at most 30 days.
Define the end timestamp of the range to reduce the number of persons returned.
Person objects modified within the range are returned.
The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'
Default is now. Period between beginTs and endTs is at most 30 days.
By default, the overview mode is delivered, only the ids of the objects are returned. A complete snaphost of the object can be returned using the details parameter.
overview, details